SYSCTL(8)

NOME
sysctl - configura parâmetros do kernel em tempo de execução

SINOPSE
sysctl [opções] [variável[=valor]] [...]
sysctl -p [arquivo ou regexp] [...]

DESCRIÇÃO
sysctl é usado para modificar parâmetros do kernel em tempo de execução. Os parâmetros disponíveis são aqueles listados sob /proc/sys/. Procfs é exigido para o suporte a sysctl no Linux. Você pode usar sysctl para ler e escrever dados de sysctl.

PARÂMETROS

variável
    O nome da chave a ser lida (p. ex., kernel.ostype). O separador "/" também é aceito no lugar de um ".".

variável=valor
    Para definir uma chave, use a forma variável=valor, sendo variável a chave e valor o valor para configurá-la. Se o valor contiver aspas ou os caracteres que são analisados pelo shell, talvez seja necessário incluir o valor entre aspas duplas.

-n, --values
    Use essa opção para desabilitar impressão do nome da chave ao imprimir valores.

-e, --ignore
    Use essa opção para ignorar erros sobre as chaves desconhecidas.

-N, --names
    Use esta opção para exibir apenas os nomes. Pode ser útil com shells que tenham um completamento programável.

-q, --quiet
    Use essa opção para não exibir os valores definidos para stdout (saída padrão).

-w, --write
    Use essa opção quando todos os argumentos prescrevem um chave a ser definida.

-p[ARQUIVO], --load[=ARQUIVO]
    Carrega configurações do sysctl a partir do arquivo especificado ou /etc/sysctl.conf, se nenhum for fornecido. Especificar - como nome de arquivo significa ler dados de entrada padrão. Usar esta opção significará que os argumentos para sysctl são arquivos, os quais são lidos na ordem em que são especificados. O argumento do arquivo pode ser especificado como expressão regular.

-a, --all
    Exibe todos os valores disponíveis atualmente.

--deprecated
    Inclui parâmetros obsoletos para listagem de valores de --all.

-b, --binary
    Exibe valor sem nova linha.

--system
    Carrega as configurações de todos os arquivos de configuração do sistema. Os arquivos são lidos dos diretórios da lista a seguir, em uma determinada ordem, de cima para baixo. Depois que um arquivo de um determinado nome de arquivo é carregado, qualquer arquivo com o mesmo nome nos diretórios subsequentes é ignorado.
    /etc/sysctl.d/*.conf
    /run/sysctl.d/*.conf
    /usr/local/lib/sysctl.d/*.conf
    /usr/lib/sysctl.d/*.conf
    /lib/sysctl.d/*.conf
    /etc/sysctl.conf

-r, --pattern padrão
    Só aplica configurações que corresponderem ao padrão. O padrão usa a sintaxe de expressão regular estendidas.

-A  Apelido de -a

-d  Apelido de -h

-f  Apelido de -p

-X  Apelido de -a

-o  Faz nada, existe para compatibilidade com BSD.

-x  Faz nada, existe para compatibilidade com BSD.

-h, --help
    Exibe um texto de ajuda e sai.

-V, --version
    Exibe informação da versão e sai.

EXEMPLOS
/sbin/sysctl -a
/sbin/sysctl -n kernel.hostname
/sbin/sysctl -w kernel.domainname="example.com"
/sbin/sysctl -p/etc/sysctl.conf
/sbin/sysctl -a --pattern forward
/sbin/sysctl -a --pattern forward$
/sbin/sysctl -a --pattern 'net.ipv4.conf.(eth|wlan)0.arp'
/sbin/sysctl --system --pattern '^net.ipv6'

PARÂMETROS OBSOLETOS
The base_reachable_time and retrans_time are deprecated. The sysctl command does not allow changing values of these parameters. Users who insist to use deprecated kernel interfaces should push values to /proc file system by other means. For example:

echo 256 > /proc/sys/net/ipv6/neigh/eth0/base_reachable_time

ARQUIVOS
/proc/sys
/etc/sysctl.d/*.conf
/run/sysctl.d/*.conf
/usr/local/lib/sysctl.d/*.conf
/usr/lib/sysctl.d/*.conf
/lib/sysctl.d/*.conf
/etc/sysctl.conf

VEJA TAMBÉM
sysctl.conf(5) regex(7)

AUTOR
George Staikos (staikos@0wned.org)

RELATANDO ERROS
Por favor, envie relatórios de erros para procps@freelists.org